public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
* [PATCH 0/1] Refactor ext4 image class
@ 2019-02-18 13:04 claudius.heine.ext
  2019-02-18 13:04 ` [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods claudius.heine.ext
  2019-02-27  9:28 ` [PATCH 0/1] Refactor ext4 image class Maxim Yu. Osipov
  0 siblings, 2 replies; 13+ messages in thread
From: claudius.heine.ext @ 2019-02-18 13:04 UTC (permalink / raw)
  To: isar-users; +Cc: Claudius Heine

From: Claudius Heine <ch@denx.de>

Hi,

this patchset brings the ext4 image up to date to how the other images
are created.

This depends on 'mkfs.ext4 -d' parameter beeing available on the host,
so there is no support for jessie, where this is not available.

regards,
Claudius

Claudius Heine (1):
  meta/ext4-img: refactor to fit current image creation methods

 meta-isar/classes/rpi-sdimg.bbclass |  2 +-
 meta/classes/ext4-img.bbclass       | 31 +++++++++++------------------
 2 files changed, 13 insertions(+), 20 deletions(-)

-- 
2.20.1


^ permalink raw reply	[flat|nested] 13+ messages in thread

* [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-02-18 13:04 [PATCH 0/1] Refactor ext4 image class claudius.heine.ext
@ 2019-02-18 13:04 ` claudius.heine.ext
  2019-02-19  9:25   ` Henning Schild
  2019-02-27  9:28 ` [PATCH 0/1] Refactor ext4 image class Maxim Yu. Osipov
  1 sibling, 1 reply; 13+ messages in thread
From: claudius.heine.ext @ 2019-02-18 13:04 UTC (permalink / raw)
  To: isar-users; +Cc: Claudius Heine

From: Claudius Heine <ch@denx.de>

EXT4_IMAGE_FILE does no longer contain the full path to the ext4 image
in the deploy directory.

Signed-off-by: Claudius Heine <ch@denx.de>
---
 meta-isar/classes/rpi-sdimg.bbclass |  2 +-
 meta/classes/ext4-img.bbclass       | 31 +++++++++++------------------
 2 files changed, 13 insertions(+), 20 deletions(-)

diff --git a/meta-isar/classes/rpi-sdimg.bbclass b/meta-isar/classes/rpi-sdimg.bbclass
index 91b09cd..4e5d170 100644
--- a/meta-isar/classes/rpi-sdimg.bbclass
+++ b/meta-isar/classes/rpi-sdimg.bbclass
@@ -15,7 +15,7 @@ BOOT_SPACE ?= "40960"
 IMAGE_ROOTFS_ALIGNMENT = "4096"
 
 SDIMG = "${DEPLOY_DIR_IMAGE}/${PN}.rpi-sdimg"
-SDIMG_ROOTFS = "${EXT4_IMAGE_FILE}"
+SDIMG_ROOTFS = "${DEPLOY_DIR_IMAGE}/${EXT4_IMAGE_FILE}"
 
 do_rpi_sdimg () {
     # Align partitions
diff --git a/meta/classes/ext4-img.bbclass b/meta/classes/ext4-img.bbclass
index 29e5f77..2620de9 100644
--- a/meta/classes/ext4-img.bbclass
+++ b/meta/classes/ext4-img.bbclass
@@ -1,30 +1,23 @@
 # This software is a part of ISAR.
 # Copyright (C) 2015-2017 ilbers GmbH
 
-EXT4_IMAGE_FILE = "${DEPLOY_DIR_IMAGE}/${IMAGE_FULLNAME}.ext4.img"
+EXT4_IMAGE_FILE = "${IMAGE_FULLNAME}.ext4.img"
+
+IMAGER_INSTALL += "e2fsprogs"
 
 do_ext4_image[stamp-extra-info] = "${DISTRO}-${MACHINE}"
 
 # Generate ext4 filesystem image
 do_ext4_image() {
-    rm -f ${EXT4_IMAGE_FILE}
-
-    dd if=/dev/zero of=${EXT4_IMAGE_FILE} bs=1k count=${ROOTFS_SIZE}
-
-    sudo mkfs.ext4 -F ${EXT4_IMAGE_FILE}
-
-    mkdir -p ${WORKDIR}/mnt
-    sudo mount -o loop ${EXT4_IMAGE_FILE} ${WORKDIR}/mnt
-    _do_ext4_image_cleanup() {
-        ret=$?
-        sudo umount ${WORKDIR}/mnt 2>/dev/null || true
-        sudo rmdir ${WORKDIR}/mnt 2>/dev/null || true
-        (exit $ret) || bb_exit_handler
-    }
-    trap '_do_ext4_image_cleanup' EXIT
-    sudo cp -r ${IMAGE_ROOTFS}/* ${WORKDIR}/mnt
-    _do_ext4_image_cleanup
+    rm -f '${DEPLOY_DIR_IMAGE}/${EXT4_IMAGE_FILE}'
+
+    truncate -s ${ROOTFS_SIZE}K '${DEPLOY_DIR_IMAGE}/${EXT4_IMAGE_FILE}'
+
+    image_do_mounts
+
+    sudo chroot ${BUILDCHROOT_DIR} /sbin/mke2fs ${MKE2FS_ARGS} \
+                -F -d '${PP_ROOTFS}' '${PP_DEPLOY}/${EXT4_IMAGE_FILE}'
 }
 
-addtask ext4_image before do_build after do_copy_boot_files
+addtask ext4_image before do_build after do_copy_boot_files do_install_imager_deps
 do_ext4_image[prefuncs] = 'set_image_size'
-- 
2.20.1


^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-02-18 13:04 ` [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods claudius.heine.ext
@ 2019-02-19  9:25   ` Henning Schild
  2019-02-26 11:35     ` cedric_hombourger
  0 siblings, 1 reply; 13+ messages in thread
From: Henning Schild @ 2019-02-19  9:25 UTC (permalink / raw)
  To: [ext] claudius.heine.ext@siemens.com; +Cc: isar-users, Claudius Heine

Hi,

did you do some research on ext4-usage, we might be able to just drop
it and use wic instead. The qemus will have to switch from i.e.
root=/dev/sda to /dev/sda1 ... sounds easy enough. As far as i can tell
they are the only users in Isar. And outside a raw ext4 partition does
not seem to be too useful either, we could always keep it as
"deprecated" if we are afraid of that move.

Henning

On Mon, 18 Feb 2019 14:04:29 +0100
"[ext] claudius.heine.ext@siemens.com" <claudius.heine.ext@siemens.com>
wrote:

> From: Claudius Heine <ch@denx.de>
> 
> EXT4_IMAGE_FILE does no longer contain the full path to the ext4 image
> in the deploy directory.
> 
> Signed-off-by: Claudius Heine <ch@denx.de>
> ---
>  meta-isar/classes/rpi-sdimg.bbclass |  2 +-
>  meta/classes/ext4-img.bbclass       | 31
> +++++++++++------------------ 2 files changed, 13 insertions(+), 20
> deletions(-)
> 
> diff --git a/meta-isar/classes/rpi-sdimg.bbclass
> b/meta-isar/classes/rpi-sdimg.bbclass index 91b09cd..4e5d170 100644
> --- a/meta-isar/classes/rpi-sdimg.bbclass
> +++ b/meta-isar/classes/rpi-sdimg.bbclass
> @@ -15,7 +15,7 @@ BOOT_SPACE ?= "40960"
>  IMAGE_ROOTFS_ALIGNMENT = "4096"
>  
>  SDIMG = "${DEPLOY_DIR_IMAGE}/${PN}.rpi-sdimg"
> -SDIMG_ROOTFS = "${EXT4_IMAGE_FILE}"
> +SDIMG_ROOTFS = "${DEPLOY_DIR_IMAGE}/${EXT4_IMAGE_FILE}"
>  
>  do_rpi_sdimg () {
>      # Align partitions
> diff --git a/meta/classes/ext4-img.bbclass
> b/meta/classes/ext4-img.bbclass index 29e5f77..2620de9 100644
> --- a/meta/classes/ext4-img.bbclass
> +++ b/meta/classes/ext4-img.bbclass
> @@ -1,30 +1,23 @@
>  # This software is a part of ISAR.
>  # Copyright (C) 2015-2017 ilbers GmbH
>  
> -EXT4_IMAGE_FILE = "${DEPLOY_DIR_IMAGE}/${IMAGE_FULLNAME}.ext4.img"
> +EXT4_IMAGE_FILE = "${IMAGE_FULLNAME}.ext4.img"
> +
> +IMAGER_INSTALL += "e2fsprogs"
>  
>  do_ext4_image[stamp-extra-info] = "${DISTRO}-${MACHINE}"
>  
>  # Generate ext4 filesystem image
>  do_ext4_image() {
> -    rm -f ${EXT4_IMAGE_FILE}
> -
> -    dd if=/dev/zero of=${EXT4_IMAGE_FILE} bs=1k count=${ROOTFS_SIZE}
> -
> -    sudo mkfs.ext4 -F ${EXT4_IMAGE_FILE}
> -
> -    mkdir -p ${WORKDIR}/mnt
> -    sudo mount -o loop ${EXT4_IMAGE_FILE} ${WORKDIR}/mnt
> -    _do_ext4_image_cleanup() {
> -        ret=$?
> -        sudo umount ${WORKDIR}/mnt 2>/dev/null || true
> -        sudo rmdir ${WORKDIR}/mnt 2>/dev/null || true
> -        (exit $ret) || bb_exit_handler
> -    }
> -    trap '_do_ext4_image_cleanup' EXIT
> -    sudo cp -r ${IMAGE_ROOTFS}/* ${WORKDIR}/mnt
> -    _do_ext4_image_cleanup
> +    rm -f '${DEPLOY_DIR_IMAGE}/${EXT4_IMAGE_FILE}'
> +
> +    truncate -s ${ROOTFS_SIZE}K
> '${DEPLOY_DIR_IMAGE}/${EXT4_IMAGE_FILE}' +
> +    image_do_mounts
> +
> +    sudo chroot ${BUILDCHROOT_DIR} /sbin/mke2fs ${MKE2FS_ARGS} \
> +                -F -d '${PP_ROOTFS}'
> '${PP_DEPLOY}/${EXT4_IMAGE_FILE}' }
>  
> -addtask ext4_image before do_build after do_copy_boot_files
> +addtask ext4_image before do_build after do_copy_boot_files
> do_install_imager_deps do_ext4_image[prefuncs] = 'set_image_size'


^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-02-19  9:25   ` Henning Schild
@ 2019-02-26 11:35     ` cedric_hombourger
  2019-02-26 11:56       ` Jan Kiszka
  0 siblings, 1 reply; 13+ messages in thread
From: cedric_hombourger @ 2019-02-26 11:35 UTC (permalink / raw)
  To: isar-users


[-- Attachment #1.1: Type: text/plain, Size: 3629 bytes --]

Hi Henning,

One use-case on our side is the generation of SWUpdate image. Our helper 
class uses do_ext4_image to generate the file-system image we later embed 
into the .swu file

Hope that helps
Cedric

On Tuesday, February 19, 2019 at 10:25:58 AM UTC+1, Henning Schild wrote:
>
> Hi, 
>
> did you do some research on ext4-usage, we might be able to just drop 
> it and use wic instead. The qemus will have to switch from i.e. 
> root=/dev/sda to /dev/sda1 ... sounds easy enough. As far as i can tell 
> they are the only users in Isar. And outside a raw ext4 partition does 
> not seem to be too useful either, we could always keep it as 
> "deprecated" if we are afraid of that move. 
>
> Henning 
>
> On Mon, 18 Feb 2019 14:04:29 +0100 
> "[ext] claudius....@siemens.com <javascript:>" <claudius....@siemens.com 
> <javascript:>> 
> wrote: 
>
> > From: Claudius Heine <c...@denx.de <javascript:>> 
> > 
> > EXT4_IMAGE_FILE does no longer contain the full path to the ext4 image 
> > in the deploy directory. 
> > 
> > Signed-off-by: Claudius Heine <c...@denx.de <javascript:>> 
> > --- 
> >  meta-isar/classes/rpi-sdimg.bbclass |  2 +- 
> >  meta/classes/ext4-img.bbclass       | 31 
> > +++++++++++------------------ 2 files changed, 13 insertions(+), 20 
> > deletions(-) 
> > 
> > diff --git a/meta-isar/classes/rpi-sdimg.bbclass 
> > b/meta-isar/classes/rpi-sdimg.bbclass index 91b09cd..4e5d170 100644 
> > --- a/meta-isar/classes/rpi-sdimg.bbclass 
> > +++ b/meta-isar/classes/rpi-sdimg.bbclass 
> > @@ -15,7 +15,7 @@ BOOT_SPACE ?= "40960" 
> >  IMAGE_ROOTFS_ALIGNMENT = "4096" 
> >   
> >  SDIMG = "${DEPLOY_DIR_IMAGE}/${PN}.rpi-sdimg" 
> > -SDIMG_ROOTFS = "${EXT4_IMAGE_FILE}" 
> > +SDIMG_ROOTFS = "${DEPLOY_DIR_IMAGE}/${EXT4_IMAGE_FILE}" 
> >   
> >  do_rpi_sdimg () { 
> >      # Align partitions 
> > diff --git a/meta/classes/ext4-img.bbclass 
> > b/meta/classes/ext4-img.bbclass index 29e5f77..2620de9 100644 
> > --- a/meta/classes/ext4-img.bbclass 
> > +++ b/meta/classes/ext4-img.bbclass 
> > @@ -1,30 +1,23 @@ 
> >  # This software is a part of ISAR. 
> >  # Copyright (C) 2015-2017 ilbers GmbH 
> >   
> > -EXT4_IMAGE_FILE = "${DEPLOY_DIR_IMAGE}/${IMAGE_FULLNAME}.ext4.img" 
> > +EXT4_IMAGE_FILE = "${IMAGE_FULLNAME}.ext4.img" 
> > + 
> > +IMAGER_INSTALL += "e2fsprogs" 
> >   
> >  do_ext4_image[stamp-extra-info] = "${DISTRO}-${MACHINE}" 
> >   
> >  # Generate ext4 filesystem image 
> >  do_ext4_image() { 
> > -    rm -f ${EXT4_IMAGE_FILE} 
> > - 
> > -    dd if=/dev/zero of=${EXT4_IMAGE_FILE} bs=1k count=${ROOTFS_SIZE} 
> > - 
> > -    sudo mkfs.ext4 -F ${EXT4_IMAGE_FILE} 
> > - 
> > -    mkdir -p ${WORKDIR}/mnt 
> > -    sudo mount -o loop ${EXT4_IMAGE_FILE} ${WORKDIR}/mnt 
> > -    _do_ext4_image_cleanup() { 
> > -        ret=$? 
> > -        sudo umount ${WORKDIR}/mnt 2>/dev/null || true 
> > -        sudo rmdir ${WORKDIR}/mnt 2>/dev/null || true 
> > -        (exit $ret) || bb_exit_handler 
> > -    } 
> > -    trap '_do_ext4_image_cleanup' EXIT 
> > -    sudo cp -r ${IMAGE_ROOTFS}/* ${WORKDIR}/mnt 
> > -    _do_ext4_image_cleanup 
> > +    rm -f '${DEPLOY_DIR_IMAGE}/${EXT4_IMAGE_FILE}' 
> > + 
> > +    truncate -s ${ROOTFS_SIZE}K 
> > '${DEPLOY_DIR_IMAGE}/${EXT4_IMAGE_FILE}' + 
> > +    image_do_mounts 
> > + 
> > +    sudo chroot ${BUILDCHROOT_DIR} /sbin/mke2fs ${MKE2FS_ARGS} \ 
> > +                -F -d '${PP_ROOTFS}' 
> > '${PP_DEPLOY}/${EXT4_IMAGE_FILE}' } 
> >   
> > -addtask ext4_image before do_build after do_copy_boot_files 
> > +addtask ext4_image before do_build after do_copy_boot_files 
> > do_install_imager_deps do_ext4_image[prefuncs] = 'set_image_size' 
>
>

[-- Attachment #1.2: Type: text/html, Size: 5362 bytes --]

^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-02-26 11:35     ` cedric_hombourger
@ 2019-02-26 11:56       ` Jan Kiszka
  2019-02-26 12:12         ` Henning Schild
  0 siblings, 1 reply; 13+ messages in thread
From: Jan Kiszka @ 2019-02-26 11:56 UTC (permalink / raw)
  To: cedric_hombourger, isar-users, Andreas Reichel

On 26.02.19 12:35, cedric_hombourger@mentor.com wrote:
> Hi Henning,
> 
> One use-case on our side is the generation of SWUpdate image. Our helper class 
> uses do_ext4_image to generate the file-system image we later embed into the 
> .swu file

Andreas, how do you address that scenario for upstream SWUpdate support?

Jan

-- 
Siemens AG, Corporate Technology, CT RDA IOT SES-DE
Corporate Competence Center Embedded Linux

^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-02-26 11:56       ` Jan Kiszka
@ 2019-02-26 12:12         ` Henning Schild
  2019-02-26 12:24           ` Hombourger, Cedric
  0 siblings, 1 reply; 13+ messages in thread
From: Henning Schild @ 2019-02-26 12:12 UTC (permalink / raw)
  To: [ext] Jan Kiszka; +Cc: cedric_hombourger, isar-users, Andreas Reichel

Am Tue, 26 Feb 2019 12:56:20 +0100
schrieb "[ext] Jan Kiszka" <jan.kiszka@siemens.com>:

> On 26.02.19 12:35, cedric_hombourger@mentor.com wrote:
> > Hi Henning,
> > 
> > One use-case on our side is the generation of SWUpdate image. Our
> > helper class uses do_ext4_image to generate the file-system image
> > we later embed into the .swu file  
> 
> Andreas, how do you address that scenario for upstream SWUpdate
> support?

I guess a valid way would be to have a task after do_wic which will
extract all raw partitions if enabled. It is kind of stupid but if we
can not change wic we better build around and reuse instead of
reimplement.

Henning

> Jan
> 


^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-02-26 12:12         ` Henning Schild
@ 2019-02-26 12:24           ` Hombourger, Cedric
  2019-03-28  9:58             ` Maxim Yu. Osipov
  0 siblings, 1 reply; 13+ messages in thread
From: Hombourger, Cedric @ 2019-02-26 12:24 UTC (permalink / raw)
  To: Henning Schild, [ext] Jan Kiszka; +Cc: isar-users, Andreas Reichel

This is the approach we used for another project :)
We have a wic-extract-parts script but I did not find this approach satisfactory 

________________________________________
From: Henning Schild <henning.schild@siemens.com>
Sent: Tuesday, February 26, 2019 1:12 PM
To: [ext] Jan Kiszka
Cc: Hombourger, Cedric; isar-users; Andreas Reichel
Subject: Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods

Am Tue, 26 Feb 2019 12:56:20 +0100
schrieb "[ext] Jan Kiszka" <jan.kiszka@siemens.com>:

> On 26.02.19 12:35, cedric_hombourger@mentor.com wrote:
> > Hi Henning,
> >
> > One use-case on our side is the generation of SWUpdate image. Our
> > helper class uses do_ext4_image to generate the file-system image
> > we later embed into the .swu file
>
> Andreas, how do you address that scenario for upstream SWUpdate
> support?

I guess a valid way would be to have a task after do_wic which will
extract all raw partitions if enabled. It is kind of stupid but if we
can not change wic we better build around and reuse instead of
reimplement.

Henning

> Jan
>


^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 0/1] Refactor ext4 image class
  2019-02-18 13:04 [PATCH 0/1] Refactor ext4 image class claudius.heine.ext
  2019-02-18 13:04 ` [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods claudius.heine.ext
@ 2019-02-27  9:28 ` Maxim Yu. Osipov
  2019-03-28 12:40   ` Maxim Yu. Osipov
  1 sibling, 1 reply; 13+ messages in thread
From: Maxim Yu. Osipov @ 2019-02-27  9:28 UTC (permalink / raw)
  To: claudius.heine.ext, isar-users; +Cc: Claudius Heine

Hi Claudius,

I would prefer to avoid dropping support for jessie (at least for 
upcoming release).

Regards,
Maxim.



On 2/18/19 2:04 PM, claudius.heine.ext@siemens.com wrote:
> From: Claudius Heine <ch@denx.de>
> 
> Hi,
> 
> this patchset brings the ext4 image up to date to how the other images
> are created.
> 
> This depends on 'mkfs.ext4 -d' parameter beeing available on the host,
> so there is no support for jessie, where this is not available.
> 
> regards,
> Claudius
> 
> Claudius Heine (1):
>    meta/ext4-img: refactor to fit current image creation methods
> 
>   meta-isar/classes/rpi-sdimg.bbclass |  2 +-
>   meta/classes/ext4-img.bbclass       | 31 +++++++++++------------------
>   2 files changed, 13 insertions(+), 20 deletions(-)
> 


-- 
Maxim Osipov
ilbers GmbH
Maria-Merian-Str. 8
85521 Ottobrunn
Germany
+49 (151) 6517 6917
mosipov@ilbers.de
http://ilbers.de/
Commercial register Munich, HRB 214197
General Manager: Baurzhan Ismagulov

^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-02-26 12:24           ` Hombourger, Cedric
@ 2019-03-28  9:58             ` Maxim Yu. Osipov
  2019-03-28 12:02               ` Hombourger, Cedric
  2019-03-29  7:55               ` Adler, Michael
  0 siblings, 2 replies; 13+ messages in thread
From: Maxim Yu. Osipov @ 2019-03-28  9:58 UTC (permalink / raw)
  To: Hombourger, Cedric
  Cc: Henning Schild, [ext] Jan Kiszka, isar-users, Andreas Reichel

Hi Cedric,

With the removal of jessie support I may proceed with the integration of 
this patch.

Do you have any objections?

Regards,
Maxim.


On 2/26/19 1:24 PM, Hombourger, Cedric wrote:
> This is the approach we used for another project :)
> We have a wic-extract-parts script but I did not find this approach satisfactory
> 
> ________________________________________
> From: Henning Schild <henning.schild@siemens.com>
> Sent: Tuesday, February 26, 2019 1:12 PM
> To: [ext] Jan Kiszka
> Cc: Hombourger, Cedric; isar-users; Andreas Reichel
> Subject: Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
> 
> Am Tue, 26 Feb 2019 12:56:20 +0100
> schrieb "[ext] Jan Kiszka" <jan.kiszka@siemens.com>:
> 
>> On 26.02.19 12:35, cedric_hombourger@mentor.com wrote:
>>> Hi Henning,
>>>
>>> One use-case on our side is the generation of SWUpdate image. Our
>>> helper class uses do_ext4_image to generate the file-system image
>>> we later embed into the .swu file
>>
>> Andreas, how do you address that scenario for upstream SWUpdate
>> support?
> 
> I guess a valid way would be to have a task after do_wic which will
> extract all raw partitions if enabled. It is kind of stupid but if we
> can not change wic we better build around and reuse instead of
> reimplement.
> 
> Henning
> 
>> Jan
>>
> 


-- 
Maxim Osipov
ilbers GmbH
Maria-Merian-Str. 8
85521 Ottobrunn
Germany
+49 (151) 6517 6917
mosipov@ilbers.de
http://ilbers.de/
Commercial register Munich, HRB 214197
General Manager: Baurzhan Ismagulov

^ permalink raw reply	[flat|nested] 13+ messages in thread

* RE: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-03-28  9:58             ` Maxim Yu. Osipov
@ 2019-03-28 12:02               ` Hombourger, Cedric
  2019-03-29  7:55               ` Adler, Michael
  1 sibling, 0 replies; 13+ messages in thread
From: Hombourger, Cedric @ 2019-03-28 12:02 UTC (permalink / raw)
  To: Maxim Yu. Osipov
  Cc: Henning Schild, [ext] Jan Kiszka, isar-users, Andreas Reichel

Hi Maxim,

On our side we will continue to use it but it's OK if removed from Isar (would be OK to maintain it in our own layers)

Cedric

-----Original Message-----
From: Maxim Yu. Osipov [mailto:mosipov@ilbers.de] 
Sent: Thursday, March 28, 2019 10:59 AM
To: Hombourger, Cedric <Cedric_Hombourger@mentor.com>
Cc: Henning Schild <henning.schild@siemens.com>; [ext] Jan Kiszka <jan.kiszka@siemens.com>; isar-users <isar-users@googlegroups.com>; Andreas Reichel <Andreas.Reichel@tngtech.com>
Subject: Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods

Hi Cedric,

With the removal of jessie support I may proceed with the integration of this patch.

Do you have any objections?

Regards,
Maxim.


On 2/26/19 1:24 PM, Hombourger, Cedric wrote:
> This is the approach we used for another project :) We have a 
> wic-extract-parts script but I did not find this approach satisfactory
> 
> ________________________________________
> From: Henning Schild <henning.schild@siemens.com>
> Sent: Tuesday, February 26, 2019 1:12 PM
> To: [ext] Jan Kiszka
> Cc: Hombourger, Cedric; isar-users; Andreas Reichel
> Subject: Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image 
> creation methods
> 
> Am Tue, 26 Feb 2019 12:56:20 +0100
> schrieb "[ext] Jan Kiszka" <jan.kiszka@siemens.com>:
> 
>> On 26.02.19 12:35, cedric_hombourger@mentor.com wrote:
>>> Hi Henning,
>>>
>>> One use-case on our side is the generation of SWUpdate image. Our 
>>> helper class uses do_ext4_image to generate the file-system image we 
>>> later embed into the .swu file
>>
>> Andreas, how do you address that scenario for upstream SWUpdate 
>> support?
> 
> I guess a valid way would be to have a task after do_wic which will 
> extract all raw partitions if enabled. It is kind of stupid but if we 
> can not change wic we better build around and reuse instead of 
> reimplement.
> 
> Henning
> 
>> Jan
>>
> 


--
Maxim Osipov
ilbers GmbH
Maria-Merian-Str. 8
85521 Ottobrunn
Germany
+49 (151) 6517 6917
mosipov@ilbers.de
http://ilbers.de/
Commercial register Munich, HRB 214197
General Manager: Baurzhan Ismagulov

^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 0/1] Refactor ext4 image class
  2019-02-27  9:28 ` [PATCH 0/1] Refactor ext4 image class Maxim Yu. Osipov
@ 2019-03-28 12:40   ` Maxim Yu. Osipov
  0 siblings, 0 replies; 13+ messages in thread
From: Maxim Yu. Osipov @ 2019-03-28 12:40 UTC (permalink / raw)
  To: claudius.heine.ext, isar-users; +Cc: Claudius Heine

On 2/27/19 10:28 AM, Maxim Yu. Osipov wrote:
> Hi Claudius,
> 
> I would prefer to avoid dropping support for jessie (at least for 
> upcoming release).
> 
> Regards,
> Maxim.
> 

Applied to the 'next' (as jessie support is dropped).

Maxim.

> 
> On 2/18/19 2:04 PM, claudius.heine.ext@siemens.com wrote:
>> From: Claudius Heine <ch@denx.de>
>>
>> Hi,
>>
>> this patchset brings the ext4 image up to date to how the other images
>> are created.
>>
>> This depends on 'mkfs.ext4 -d' parameter beeing available on the host,
>> so there is no support for jessie, where this is not available.
>>
>> regards,
>> Claudius
>>
>> Claudius Heine (1):
>>    meta/ext4-img: refactor to fit current image creation methods
>>
>>   meta-isar/classes/rpi-sdimg.bbclass |  2 +-
>>   meta/classes/ext4-img.bbclass       | 31 +++++++++++------------------
>>   2 files changed, 13 insertions(+), 20 deletions(-)
>>
> 
> 


-- 
Maxim Osipov
ilbers GmbH
Maria-Merian-Str. 8
85521 Ottobrunn
Germany
+49 (151) 6517 6917
mosipov@ilbers.de
http://ilbers.de/
Commercial register Munich, HRB 214197
General Manager: Baurzhan Ismagulov

^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-03-28  9:58             ` Maxim Yu. Osipov
  2019-03-28 12:02               ` Hombourger, Cedric
@ 2019-03-29  7:55               ` Adler, Michael
  2019-03-29  8:45                 ` Maxim Yu. Osipov
  1 sibling, 1 reply; 13+ messages in thread
From: Adler, Michael @ 2019-03-29  7:55 UTC (permalink / raw)
  To: Maxim Yu. Osipov; +Cc: henning.schild, jan.kiszka, isar-users

> With the removal of jessie support I may proceed with the integration of
> this patch.

Yes, please go ahead! Getting rid of the loopback device makes the CI setup for ISAR **a lot** easier because all you need then are privileged containers.
In fact, I'm currently using a fork of ISAR with this patch applied and I have a fully working ISAR CI build on AWS EC2. More details to follow soon ;)

Kind regards,
  Michael

-- 
Michael Adler
Siemens AG, Corporate Technology, CT RDA IOT SES-DE, Otto-Hahn-Ring 6, 81739 Munich, Germany

Siemens Aktiengesellschaft: Chairman of the Supervisory Board: Gerhard Cromme; Managing Board: Joe Kaeser, Chairman, President and Chief Executive Officer; Roland Busch, Lisa Davis, Klaus Helmrich, Janina Kugel, Siegfried Russwurm, Ralf P. Thomas; Registered offices: Berlin and Munich, Germany; Commercial registries: Berlin Charlottenburg, HRB 12300, Munich, HRB 6684; WEEE-Reg.-No. DE 23691322

^ permalink raw reply	[flat|nested] 13+ messages in thread

* Re: [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods
  2019-03-29  7:55               ` Adler, Michael
@ 2019-03-29  8:45                 ` Maxim Yu. Osipov
  0 siblings, 0 replies; 13+ messages in thread
From: Maxim Yu. Osipov @ 2019-03-29  8:45 UTC (permalink / raw)
  To: Adler, Michael; +Cc: henning.schild, jan.kiszka, isar-users

Hi Michael,

On 3/29/19 8:55 AM, Adler, Michael wrote:
>> With the removal of jessie support I may proceed with the integration of
>> this patch.
> 
> Yes, please go ahead! Getting rid of the loopback device makes the CI setup for ISAR **a lot** easier because all you need then are privileged containers.
> In fact, I'm currently using a fork of ISAR with this patch applied and I have a fully working ISAR CI build on AWS EC2. More details to follow soon ;)

I've applied the patch in the 'next' branch.
In one week 'master' will be synced with the 'next'.

Thanks,
Maxim.


-- 
Maxim Osipov
ilbers GmbH
Maria-Merian-Str. 8
85521 Ottobrunn
Germany
+49 (151) 6517 6917
mosipov@ilbers.de
http://ilbers.de/
Commercial register Munich, HRB 214197
General Manager: Baurzhan Ismagulov

^ permalink raw reply	[flat|nested] 13+ messages in thread

end of thread, other threads:[~2019-03-29  8:45 UTC | newest]

Thread overview: 13+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2019-02-18 13:04 [PATCH 0/1] Refactor ext4 image class claudius.heine.ext
2019-02-18 13:04 ` [PATCH 1/1] meta/ext4-img: refactor to fit current image creation methods claudius.heine.ext
2019-02-19  9:25   ` Henning Schild
2019-02-26 11:35     ` cedric_hombourger
2019-02-26 11:56       ` Jan Kiszka
2019-02-26 12:12         ` Henning Schild
2019-02-26 12:24           ` Hombourger, Cedric
2019-03-28  9:58             ` Maxim Yu. Osipov
2019-03-28 12:02               ` Hombourger, Cedric
2019-03-29  7:55               ` Adler, Michael
2019-03-29  8:45                 ` Maxim Yu. Osipov
2019-02-27  9:28 ` [PATCH 0/1] Refactor ext4 image class Maxim Yu. Osipov
2019-03-28 12:40   ` Maxim Yu. Osipov

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox